# Quick Start

{% hint style="info" %}
**Good to know:** A quick start guide can be good to help folks get up and running with your API in a few steps. Some people prefer diving in with the basics rather than meticulously reading every page of documentation!
{% endhint %}

## <mark style="color:$primary;">Get your API keys</mark>

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate an API key from your Dashboard at any time.

## <mark style="color:$primary;">First curl request</mark>

The API generally works via curl requests. Most endpoints need the POST method to work. Later youll get a detailed report.

{% tabs %}
{% tab title="Python" %}

```python
# Install via pip
pip install requests

# Use requests to initialize curl
def fetch_calculated_tv_data(api_key, keywords, channels, broadcast_id):

    url = f"http://tv-api.oloqiqi.com/kpis/{broadcast_id}"
    headers = {
        "Content-Type": "application/json",
        'Authorization': f'Bearer {api_key}'
    }
    
    response = requests.post(url, headers=headers, json=payload)
    
    if response.status_code == 200:
        return response.json()  # Successfully retrieved data
    else:
        return response.json()  # An error occurred
```

{% endtab %}

{% tab title="Curl" %}

<pre class="language-markup" data-full-width="true"><code class="lang-markup"><a data-footnote-ref href="#user-content-fn-1">curl</a> -X GET http://api.oloqiqi.com/kpi/ broadcast ID \
-H "Content-Type: application/json" \
-H "Authorization: Bearer API_KEY" \
</code></pre>

{% endtab %}
{% endtabs %}

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oloqiqi.com/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
